summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2016-01-02 19:52:25 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2016-01-02 19:53:53 +0100
commit896146f9f64469d4d46ad2eb3bd96eb4b562f5e5 (patch)
treefbc00b77236ec3b78dc802b7f22a7354f2b22b14 /sys-auth
parentnet-analyzer/wireshark: amd64 stable wrt bug #570564 (diff)
downloadgentoo-896146f9f64469d4d46ad2eb3bd96eb4b562f5e5.tar.gz
gentoo-896146f9f64469d4d46ad2eb3bd96eb4b562f5e5.tar.bz2
gentoo-896146f9f64469d4d46ad2eb3bd96eb4b562f5e5.zip
sys-auth/polkit: fix workaround around around, bug #570586
Package-Manager: portage-2.2.26
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/polkit/polkit-0.113-r1.ebuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/sys-auth/polkit/polkit-0.113-r1.ebuild b/sys-auth/polkit/polkit-0.113-r1.ebuild
index b3bbd004b97..64d67b23e7d 100644
--- a/sys-auth/polkit/polkit-0.113-r1.ebuild
+++ b/sys-auth/polkit/polkit-0.113-r1.ebuild
@@ -66,8 +66,11 @@ pkg_setup() {
src_prepare() {
sed -i -e 's|unix-group:wheel|unix-user:0|' src/polkitbackend/*-default.rules || die #401513
- # Drop upstream hack around standard gtk-doc behavior, bug #552170
- sed -i -e 's/@ENABLE_GTK_DOC_TRUE@//' docs/polkit/Makefile.in || die
+ # Workaround upstream hack around standard gtk-doc behavior, bug #552170
+ sed -i -e 's/@ENABLE_GTK_DOC_TRUE@\(TARGET_DIR\)/\1/' \
+ -e '/install-data-local:/,/uninstall-local:/ s/@ENABLE_GTK_DOC_TRUE@//' \
+ -e 's/@ENABLE_GTK_DOC_FALSE@install-data-local://' \
+ docs/polkit/Makefile.in || die
}
src_configure() {